# Uses of Interface
javax.xml.stream.util.XMLEventAllocator

Packages that use XMLEventAllocator
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.util
Provides utility classes for the Streaming API for XML (StAX).

## Uses of XMLEventAllocator in javax.xml.stream

Methods in javax.xml.stream that return XMLEventAllocator
Modifier and Type
Method
Description
`abstract XMLEventAllocator`
XMLInputFactory.`getEventAllocator()`
Gets the allocator used by streams created with this factory
Methods in javax.xml.stream with parameters of type XMLEventAllocator
Modifier and Type
Method
Description
`abstract void`
XMLInputFactory.`setEventAllocator(XMLEventAllocator allocator)`
Set a user defined event allocator for events

## Uses of XMLEventAllocator in javax.xml.stream.util

Methods in javax.xml.stream.util that return XMLEventAllocator
Modifier and Type
Method
Description
`XMLEventAllocator`
XMLEventAllocator.`newInstance()`
This method creates an instance of the XMLEventAllocator.